synapse-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From keith chapman <keithgchap...@gmail.com>
Subject Consider upgrading the BSF version before Synapse 1.3 release
Date Thu, 05 Mar 2009 16:28:05 GMT
Hi all,

There is a bug in JRuby 1.0.3 [1] (which is used in Synapse) which causes
threading issues when REXML is used. This has been fixed in the 1.1.2
release though. But unfortunately that release of JRuby is not compatible
with BSF 3.0-beta2 (which is the latest release. I sent a mail regarding
this to the BSF list [2] and Ant mentioned that he could give a release
around mid March.

I suggest that you upgrade to that BSF release and your JRuby version once
thats done. Just wanted to keep you guys informed.

Thanks,
Keith.

[1] http://jira.codehaus.org/browse/JRUBY-2494
[2] http://www.nabble.com/Can-JRuby-1.1.2-be-used-with-BSF--td22324091.html

-- 
Keith Chapman
Senior Software Engineer
WSO2 Inc.
Oxygenating the Web Service Platform.
http://wso2.org/

blog: http://www.keith-chapman.org

Mime
View raw message